# Generated from grant-3.1.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name grant

Name: rubygem-%{gem_name}
Version: 3.1.0
Release: 1%{?dist}
Summary: Conscious security constraints for your ActiveRecord model objects
License: MIT
URL: http://github.com/AnalyticsMediaGroup/grant
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) = 2.5.0
# BuildRequires: rubygem(sqlite3) = 1.3.9
BuildArch: noarch

%description
Grant is a Ruby gem and Rails plugin that forces you to make explicit security
decisions about the operations performed on your ActiveRecord models.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.ruby-gemset
%{gem_instdir}/.ruby-version
%license %{gem_instdir}/LICENSE
%{gem_instdir}/init.rb
%{gem_libdir}
%{gem_instdir}/run_test.sh
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/README.rdoc
%{gem_instdir}/grant.gemspec
%{gem_instdir}/spec

%changelog
* Tue Feb 08 2022 mockbuilder - 3.1.0-1
- Initial package
